## AgsBusinessGroupManager

AgsBusinessGroupManager — singleton pattern to organize business group

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_BUSINESS_GROUP_MANAGER_GET_OBJ_MUTEX()
GList * | ags_business_group_manager_get_business_group ()
void | ags_business_group_manager_add_business_group ()
void | ags_business_group_manager_remove_business_group ()
AgsBusinessGroupManager * | ags_business_group_manager_get_instance ()
AgsBusinessGroupManager * | ags_business_group_manager_new ()

## Object Hierarchy

        GObject
        ╰── AgsBusinessGroupManager

## Includes

    #include <ags/server/security/ags_business_group_manager.h>

## Description

The AgsBusinessGroupManager manages your business group.

## Functions

### AGS_BUSINESS_GROUP_MANAGER_GET_OBJ_MUTEX()

    #define AGS_BUSINESS_GROUP_MANAGER_GET_OBJ_MUTEX(obj) (&(((AgsBusinessGroupManager *) obj)->obj_mutex))

### ags_business_group_manager_get_business_group ()

    GList *
    ags_business_group_manager_get_business_group
                                   (AgsBusinessGroupManager *business_group_manager);

Get business_group.

#### Parameters

business_group_manager | the AgsBusinessGroupManager |

#### Returns

the GList containing GObject implementing AgsBusinessGroup.

[element-type GObject][transfer full]

Since: 3.0.0

### ags_business_group_manager_add_business_group ()

    void
    ags_business_group_manager_add_business_group
                                   (AgsBusinessGroupManager *business_group_manager,
                                    GObject *business_group);

Add `business_group` to `business_group_manager` .

#### Parameters

business_group_manager | the AgsBusinessGroupManager |
business_group | the GObject implementing AgsBusinessGroup |

Since: 3.0.0

### ags_business_group_manager_remove_business_group ()

    void
    ags_business_group_manager_remove_business_group
                                   (AgsBusinessGroupManager *business_group_manager,
                                    GObject *business_group);

Remove `business_group` from `business_group_manager` .

#### Parameters

business_group_manager | the AgsBusinessGroupManager |
business_group | the GObject implementing AgsBusinessGroup |

Since: 3.0.0

### ags_business_group_manager_get_instance ()

    AgsBusinessGroupManager *
    ags_business_group_manager_get_instance
                                   ();

Get instance.

#### Returns

the AgsBusinessGroupManager.

[transfer none]

Since: 3.0.0

### ags_business_group_manager_new ()

    AgsBusinessGroupManager *
    ags_business_group_manager_new ();

Creates an AgsBusinessGroupManager

#### Returns

a new AgsBusinessGroupManager

Since: 3.0.0